MICRONEILLIBS = -LC:\Users\Dylan\Documents\Microneil\MDaemon\SNFMDaemon\SNFMDaemonDLLx32\SNFMulti -lSNFMulti -LC:\Users\Dylan\Documents\Microneil\MDaemon\SNFMDaemon\SNFMDaemonDLLx32\CodeDweller -lCodedweller
MICROINC = -IC:\Users\Dylan\Documents\Microneil\MDaemon\SNFMDaemon\SNFMDaemonDLLx32\SNFMulti -IC:\Users\Dylan\Documents\Microneil\MDaemon\SNFMDaemon\SNFMDaemonDLLx32\CodeDweller
WXLIBS = -LC:\wxWidgets-3.0.4x32\lib\gcc_lib -lwxmsw30u_richtext -lwxmsw30u_xrc -lwxmsw30u_aui -lwxmsw30u_media -lwxbase30u_net -lwxmsw30u_gl -lwxbase30u_xml -lwxmsw30u_adv -lwxmsw30u_html -lwxmsw30u_core -lwxbase30u -lwxpng -lwxjpeg -lwxtiff -lwxzlib -lwxregexu -lwxexpat -lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 -lshell32 -lole32 -loleaut32 -luuid -lcomctl32 -lwsock32 -lodbc32
WXINC = -IC:\wxWidgets-3.0.4x32\include -IC:\wxWidgets-3.0.4x32\lib\gcc_lib\mswu
WXFLAGS = -D__GNUWIN32__ -D__WXMSW__ -DWXUSINGDLL -DwxUSE_UNICODE
WX32LIBS = -LC:\MinGW\lib

resource:
	windres.exe ${WXINC}  -J rc -O coff -i C:\Users\Dylan\DOCUME~1\MICRON~1\SPWXDI~2\resource.rc -o resource.res
	g++.exe -LC:\wxWidgets-3.0.4x32\lib\gcc_lib -LC:\wxWidgets-3.0.4\lib\gcc_dll64 -o bin\Release\Testing.exe  obj\Release\TestingApp.o obj\Release\TestingMain.o obj\Release\resource.res -s -m32 -mthreads  -lwxmsw30u_richtext -lwxmsw30u_xrc -lwxmsw30u_aui -lwxmsw30u_media -lwxbase30u_net -lwxmsw30u_gl -lwxbase30u_xml -lwxmsw30u_adv -lwxmsw30u_html -lwxmsw30u_core -lwxbase30u -lwxpng -lwxjpeg -lwxtiff -lwxzlib -lwxregexu -lwxexpat -lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 -lshell32 -lole32 -loleaut32 -luuid -lcomctl32 -lwsock32 -lodbc32 -mwindows


wx:
	g++.exe -pipe -std=gnu++11 -mthreads -g -DDEBUG -DUNICODE -D_UNICODE ${WXFLAGS} -Wall -O2 ${WXINC} -c configdialog.cpp -o configdialog.o
	g++.exe -pipe -std=gnu++11 -mthreads -g -DDEBUG -DUNICODE -D_UNICODE ${WXFLAGS} -Wall -O2 ${WXINC} -c dialogapp.cpp -o dialogapp.o
	g++.exe -pipe -std=gnu++11 -mthreads -g -DDEBUG -DUNICODE -D_UNICODE -Wall -O2 ${MICRONEILLIBS} ${MICROINC}  -c mdconfiguration.cpp -o mdconfiguration.o
	g++.exe -pipe -std=gnu++11 -mthreads -g -DDEBUG -DUNICODE -D_UNICODE -Wall -O2 ${MICRONEILLIBS} ${MICROINC} ${WXINC} -c main.cpp -o main.o
	g++.exe -std=gnu++11 -Wall -DDEBUG -DUNICODE -D_UNICODE -g -shared -static-libgcc -static-libstdc++ -o bin\snfmdplugin32.dll main.o mdconfiguration.o configdialog.o dialogapp.o ${MICROINC} ${MICRONEILLIBS} ${WXINC} ${WX32LIBS} -LC:\MinGW\lib\gcc\mingw32\6.3.0\ -lstdc++ -lws2_32 -s -mwindows ${WXLIBS} 

